# README for fprintd-tk
This project is a desktop application that makes it easy for a user to control fingerprint enrollments.

[App window![](.images/screenshot-fprintd-tk-window.png)](.images/screenshot-fprintd-tk-window.png)

## Upstream
The upstream project is hosted at <https://bgstack15.ddns.net/cgit/fprintd-tk>

## Alternatives

* Use `fprintd-enroll` on cli.
* Use whatever probably-GNOME software is demonstrated in <https://wiki.debian.org/SecurityManagement/fingerprint%20authentication>

## Reason for existence
I couldn't find a window-manager friendly gui for managing fingerprints.

## Using
Run the program.

## Dependencies

* [python-tkstackrpms](https://bgstack15.ddns.net/cgit/python3-tkstackrpms/)
* python3-tk
* python3-pil

The application really needs the user to have password-less auth permission in dbus/polkit to the fprintd actions. You will want a file like [80-fprintd.rules](aux/80-fprintd.rules)

## Building
Python application.

## References

* Icons adapted from [Numix Circle icon theme](https://github.com/numixproject/numix-icon-theme-circle) under GPL 3.0
